---
dns_over_https:  # DNS over HTTPS

  enable_dns_over_https: false  # Enable DNS over HTTPS

  provider:
    description: Use Provider
    choices:
      - Cloudflare
      - NextDNS
      - Custom
    default: Cloudflare
    disabled:
      type: jinja
      jinja: |
        {% if not _.enable_dns_over_https %}
        Enable DNS over HTTPS is False
        {% endif %}
      description: |
        if "firefox.dns_over_https.enable_dns_over_https" is not False
